apiVersion: batch/v1
kind: Job
metadata:
  name: encode-stream
spec:
  ttlSecondsAfterFinished: 100
  backoffLimit: 0
  template:
    spec:
      containers:
        - name: main
          image: libresh/encode-stream
          envFrom:
            - secretRef:
                name: encode-stream
          volumeMounts:
            - name: data
              mountPath: /data
      restartPolicy: Never
      volumes:
        - name: data
          emptyDir: {}
